Patch Billing Profile
curl --request PATCH \
--url https://api.peachdeskai.com/api/v1/billing/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_po_number": "<string>",
"billing_tax_id": "<string>",
"billing_tax_id_type": "<string>",
"billing_address_line1": "<string>",
"billing_address_line2": "<string>",
"billing_address_city": "<string>",
"billing_address_state": "<string>",
"billing_address_postal_code": "<string>",
"billing_address_country": "<string>",
"billing_remit_to": "<string>",
"billing_payment_terms_notes": "<string>"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/billing/profile"
payload = {
"billing_po_number": "<string>",
"billing_tax_id": "<string>",
"billing_tax_id_type": "<string>",
"billing_address_line1": "<string>",
"billing_address_line2": "<string>",
"billing_address_city": "<string>",
"billing_address_state": "<string>",
"billing_address_postal_code": "<string>",
"billing_address_country": "<string>",
"billing_remit_to": "<string>",
"billing_payment_terms_notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billing_po_number: '<string>',
billing_tax_id: '<string>',
billing_tax_id_type: '<string>',
billing_address_line1: '<string>',
billing_address_line2: '<string>',
billing_address_city: '<string>',
billing_address_state: '<string>',
billing_address_postal_code: '<string>',
billing_address_country: '<string>',
billing_remit_to: '<string>',
billing_payment_terms_notes: '<string>'
})
};
fetch('https://api.peachdeskai.com/api/v1/billing/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/billing/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'billing_po_number' => '<string>',
'billing_tax_id' => '<string>',
'billing_tax_id_type' => '<string>',
'billing_address_line1' => '<string>',
'billing_address_line2' => '<string>',
'billing_address_city' => '<string>',
'billing_address_state' => '<string>',
'billing_address_postal_code' => '<string>',
'billing_address_country' => '<string>',
'billing_remit_to' => '<string>',
'billing_payment_terms_notes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/billing/profile"
payload := strings.NewReader("{\n \"billing_po_number\": \"<string>\",\n \"billing_tax_id\": \"<string>\",\n \"billing_tax_id_type\": \"<string>\",\n \"billing_address_line1\": \"<string>\",\n \"billing_address_line2\": \"<string>\",\n \"billing_address_city\": \"<string>\",\n \"billing_address_state\": \"<string>\",\n \"billing_address_postal_code\": \"<string>\",\n \"billing_address_country\": \"<string>\",\n \"billing_remit_to\": \"<string>\",\n \"billing_payment_terms_notes\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.peachdeskai.com/api/v1/billing/profile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"billing_po_number\": \"<string>\",\n \"billing_tax_id\": \"<string>\",\n \"billing_tax_id_type\": \"<string>\",\n \"billing_address_line1\": \"<string>\",\n \"billing_address_line2\": \"<string>\",\n \"billing_address_city\": \"<string>\",\n \"billing_address_state\": \"<string>\",\n \"billing_address_postal_code\": \"<string>\",\n \"billing_address_country\": \"<string>\",\n \"billing_remit_to\": \"<string>\",\n \"billing_payment_terms_notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/billing/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"billing_po_number\": \"<string>\",\n \"billing_tax_id\": \"<string>\",\n \"billing_tax_id_type\": \"<string>\",\n \"billing_address_line1\": \"<string>\",\n \"billing_address_line2\": \"<string>\",\n \"billing_address_city\": \"<string>\",\n \"billing_address_state\": \"<string>\",\n \"billing_address_postal_code\": \"<string>\",\n \"billing_address_country\": \"<string>\",\n \"billing_remit_to\": \"<string>\",\n \"billing_payment_terms_notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"billing_po_number": "<string>",
"billing_tax_id": "<string>",
"billing_tax_id_type": "<string>",
"billing_address_line1": "<string>",
"billing_address_line2": "<string>",
"billing_address_city": "<string>",
"billing_address_state": "<string>",
"billing_address_postal_code": "<string>",
"billing_address_country": "<string>",
"billing_remit_to": "<string>",
"billing_payment_terms_notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Patch Billing Profile
Partially update the orgтАЩs billing profile. Owner-only.
PATCH
/
api
/
v1
/
billing
/
profile
Patch Billing Profile
curl --request PATCH \
--url https://api.peachdeskai.com/api/v1/billing/profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"billing_po_number": "<string>",
"billing_tax_id": "<string>",
"billing_tax_id_type": "<string>",
"billing_address_line1": "<string>",
"billing_address_line2": "<string>",
"billing_address_city": "<string>",
"billing_address_state": "<string>",
"billing_address_postal_code": "<string>",
"billing_address_country": "<string>",
"billing_remit_to": "<string>",
"billing_payment_terms_notes": "<string>"
}
'import requests
url = "https://api.peachdeskai.com/api/v1/billing/profile"
payload = {
"billing_po_number": "<string>",
"billing_tax_id": "<string>",
"billing_tax_id_type": "<string>",
"billing_address_line1": "<string>",
"billing_address_line2": "<string>",
"billing_address_city": "<string>",
"billing_address_state": "<string>",
"billing_address_postal_code": "<string>",
"billing_address_country": "<string>",
"billing_remit_to": "<string>",
"billing_payment_terms_notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
billing_po_number: '<string>',
billing_tax_id: '<string>',
billing_tax_id_type: '<string>',
billing_address_line1: '<string>',
billing_address_line2: '<string>',
billing_address_city: '<string>',
billing_address_state: '<string>',
billing_address_postal_code: '<string>',
billing_address_country: '<string>',
billing_remit_to: '<string>',
billing_payment_terms_notes: '<string>'
})
};
fetch('https://api.peachdeskai.com/api/v1/billing/profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/billing/profile",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'billing_po_number' => '<string>',
'billing_tax_id' => '<string>',
'billing_tax_id_type' => '<string>',
'billing_address_line1' => '<string>',
'billing_address_line2' => '<string>',
'billing_address_city' => '<string>',
'billing_address_state' => '<string>',
'billing_address_postal_code' => '<string>',
'billing_address_country' => '<string>',
'billing_remit_to' => '<string>',
'billing_payment_terms_notes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/billing/profile"
payload := strings.NewReader("{\n \"billing_po_number\": \"<string>\",\n \"billing_tax_id\": \"<string>\",\n \"billing_tax_id_type\": \"<string>\",\n \"billing_address_line1\": \"<string>\",\n \"billing_address_line2\": \"<string>\",\n \"billing_address_city\": \"<string>\",\n \"billing_address_state\": \"<string>\",\n \"billing_address_postal_code\": \"<string>\",\n \"billing_address_country\": \"<string>\",\n \"billing_remit_to\": \"<string>\",\n \"billing_payment_terms_notes\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.peachdeskai.com/api/v1/billing/profile")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"billing_po_number\": \"<string>\",\n \"billing_tax_id\": \"<string>\",\n \"billing_tax_id_type\": \"<string>\",\n \"billing_address_line1\": \"<string>\",\n \"billing_address_line2\": \"<string>\",\n \"billing_address_city\": \"<string>\",\n \"billing_address_state\": \"<string>\",\n \"billing_address_postal_code\": \"<string>\",\n \"billing_address_country\": \"<string>\",\n \"billing_remit_to\": \"<string>\",\n \"billing_payment_terms_notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/billing/profile")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"billing_po_number\": \"<string>\",\n \"billing_tax_id\": \"<string>\",\n \"billing_tax_id_type\": \"<string>\",\n \"billing_address_line1\": \"<string>\",\n \"billing_address_line2\": \"<string>\",\n \"billing_address_city\": \"<string>\",\n \"billing_address_state\": \"<string>\",\n \"billing_address_postal_code\": \"<string>\",\n \"billing_address_country\": \"<string>\",\n \"billing_remit_to\": \"<string>\",\n \"billing_payment_terms_notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"billing_po_number": "<string>",
"billing_tax_id": "<string>",
"billing_tax_id_type": "<string>",
"billing_address_line1": "<string>",
"billing_address_line2": "<string>",
"billing_address_city": "<string>",
"billing_address_state": "<string>",
"billing_address_postal_code": "<string>",
"billing_address_country": "<string>",
"billing_remit_to": "<string>",
"billing_payment_terms_notes": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Partial update body for PATCH /billing/profile.
All fields are optional; only provided fields are written.
Response
Successful Response
Read shape for an org's billing profile (GET /billing/profile).

